org.apache.ignite.internal.visor.encryption

## Class VisorCacheGroupEncryptionTaskResult<T>

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.encryption.VisorCacheGroupEncryptionTaskResult<T>

Type Parameters:
  `T` - Job result type.

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheGroupEncryptionTaskResult<T>
    extends IgniteDataTransferObject

Multinode cache group encryption task result.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheGroupEncryptionTaskResult()`
`VisorCacheGroupEncryptionTaskResult(Map<UUID,T> results, Map<UUID,IgniteException> exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,IgniteException>` `exceptions()`
`protected void` `readExternalData(byte ver, ObjectInput in)` Load object's specific data content.
`Map<UUID,T>` `results()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheGroupEncryptionTaskResult

    public VisorCacheGroupEncryptionTaskResult(Map<UUID,T> results,
                                               Map<UUID,IgniteException> exceptions)

Parameters:
  `results` - Per node job result.
  `exceptions` - Per node execution problems.

#### VisorCacheGroupEncryptionTaskResult

    public VisorCacheGroupEncryptionTaskResult()

### Method Detail

#### results

    public Map<UUID,T> results()

Returns:
  Per node job result.

#### exceptions

    public Map<UUID,IgniteException> exceptions()

Returns:
  Per node execution problems.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte ver,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `ver` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022